--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: CyberSource requires that you provide line item information for tax calculations If you do not have prices for each item or want to simplify the situation then pass in one fake line item that costs the subtotal of the order
- !ruby/struct:SM::Flow::P 
  body: The line_item hash goes in the options hash and should look like
- !ruby/struct:SM::Flow::VERB 
  body: "        :line_items =&gt; [\n          {\n            :declared_value =&gt; '1',\n            :quantity =&gt; '2',\n            :code =&gt; 'default',\n            :description =&gt; 'Giant Walrus',\n            :sku =&gt; 'WA323232323232323'\n          },\n          {\n            :declared_value =&gt; '6',\n            :quantity =&gt; '1',\n            :code =&gt; 'default',\n            :description =&gt; 'Marble Snowcone',\n            :sku =&gt; 'FAKE1232132113123'\n          }\n        ]\n"
- !ruby/struct:SM::Flow::P 
  body: This functionality is only supported by this particular gateway may be changed at any time
full_name: ActiveMerchant::Billing::CyberSourceGateway#calculate_tax
is_singleton: false
name: calculate_tax
params: (creditcard, options)
visibility: public
